Subject: bug#34861: closed (Re: bug#34861: TLS Error with Flatpak)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Mar 2019 22:14:02 +0000

Your bug report

#34861: TLS Error with Flatpak

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34861: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34861
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34861: TLS Error with Flatpak
From: Ludovic Courtès <[email-masked]>
To: "Raghav Gururajan" <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Sun, 24 Mar 2019 23:13:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

"Raghav Gururajan" <[email-masked]> skribis:

> Adding remote repo in Flatpak is working now. Thank you very much.

Nice!

> Can you make export variable information mentioned at the end "guix package -i flatpak" process?

I think we should rather find out why GIO uses the “dummy” TLS backend
by default.  The GnuTLS backend is part of ‘glib-networking’, not GLib,
and ‘GIO_EXTRA_MODULES’ was not being set, which is why the correct TLS
backend wasn’t found.

Fixed in commit 16360cc884030eb69590dc18d9694b04c67273f6.

Once you’ve upgraded you should no longer need to set ‘GIO_USE_TLS’.

Thanks!

Ludo’.

Subject: TLS Error with Flatpak
From: "Raghav Gururajan" <[email-masked]>
To: [email-masked]
Date: Thu, 14 Mar 2019 20:36:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

Package: flatpak

Whenever I try "flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo"; I keep getting the error "Can't load uri https://flathub.org/repo/flathub.flatpakrepo: TLS support is not available".

I even tried following steps mentioned at https://www.gnu.org/software/guix/manual/en/guix.html#index-TLS. Still not working.

Unless this is fixed, flatpak in guix will be unusable with remote repositories.

Regards,
RG.